#!/bin/bash

MATERIALS_DIR=".lab-containers-part-1-helpers"
PLAYGROUND_DIR="lab-containers-part-1"

# Get helper files from the repository
git clone --depth=1 --recurse-submodules --shallow-submodules https://github.com/rosedu/workshop-docker.git $MATERIALS_DIR

# Build the ctf-piece_of_pie image
docker pull nginx:latest
docker run -d --restart always --name cdl-nginx -p 8080:80 nginx:latest

cd $MATERIALS_DIR/ctf
docker build -t ctf-piece_of_pie -f deploy/Dockerfile .
cd ../..

# Start & Stop a container
docker run --name ctf-piece_of_pie -p 31337:31337 -d ctf-piece_of_pie
docker stop ctf-piece_of_pie

# Create a folder named playground which is student facing
mkdir -p $PLAYGROUND_DIR
cp -r $MATERIALS_DIR/vanilla-caddy $PLAYGROUND_DIR
cp -r $MATERIALS_DIR/debian-bash $PLAYGROUND_DIR
cp -r $MATERIALS_DIR/README.md $PLAYGROUND_DIR
cp -r $MATERIALS_DIR/install-docker.sh $PLAYGROUND_DIR
cp -r $MATERIALS_DIR/dockerfile $PLAYGROUND_DIR
cp -r $MATERIALS_DIR/ctf $PLAYGROUND_DIR
cp -r $MATERIALS_DIR/python-container $PLAYGROUND_DIR

chmod +x $PLAYGROUND_DIR/vanilla-caddy/run-caddy-container.sh $PLAYGROUND_DIR/debian-bash/run-debian-bash-container.sh $PLAYGROUND_DIR/install-docker.sh

# Remove artefacts
rm -rf $MATERIALS_DIR
